Subject: bug#44772: closed (Re: bug#44772: 2 test failures in automake 1.16.3)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Nov 2020 02:22:02 +0000

Your bug report

#44772: 2 test failures in automake 1.16.3

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44772: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44772
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44772: 2 test failures in automake 1.16.3
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Nov 2020 19:20:53 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

    FAIL: t/vala-headers.sh
    ...
    FAIL: t/vala-mix2.sh

I pushed Reuben's change (as below). Hope it helps. I guess I'll
optimistically close this bug, knowing you will reopen if it's not
solved :) ... Thanks to both of you. --karl

--- a/bin/automake.in
+++ b/bin/automake.in
@@ -5734,7 +5734,7 @@ sub lang_vala_finish_target
           my $built_dir = dirname $built_c_file;
           my $base_c_file = basename $c_file;
           $output_rules .= "$built_c_file: \$(builddir)/${derived}_vala.stamp\n"
-            . "\t\@if test ! -f \$@ && test \$(srcdir) != \$(builddir) && test -n \"\$\$(find -L \$(srcdir)/$c_file -prune -newer \$(srcdir)/$vala_file)\"; then cp -p \$(srcdir)/$c_file $built_c_file; fi\n"
+            . "\t\@if test ! -f \$@ && test \$(srcdir) != \$(builddir) && test -n \"\$\$(find -L \$(srcdir)/$vala_file -prune \! -newer \$(srcdir)/$c_file)\"; then cp -p \$(srcdir)/$c_file $built_c_file; fi\n"
             . "\t\@if test -f \$@; then :; else rm -f \$(builddir)/${derived}_vala.stamp; fi\n"
             . "\t\@if test -f \$@; then :; else \\\n"
             . "\t  \$(MAKE) \$(AM_MAKEFLAGS) \$(builddir)/${derived}_vala.stamp; \\\n"

Subject: 2 test failures in automake 1.16.3
From: Bruno Haible <[email-masked]>
To: [email-masked]
Date: Fri, 20 Nov 2020 22:25:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On a glibc system, I'm seeing 2 test failures in automake 1.16.3:
$ ./configure --prefix=/arch/x86_64-linux-gnu/gnu-inst-automake/1.16.3
$ make
$ make check
...
FAIL: t/vala-headers.sh
...
FAIL: t/vala-mix2.sh
...

Find attached the log files (redacted for privacy reasons).

vala and valac exist in /usr/bin.

Bruno